@model FERZid.Models.OsobaViewModel

@{
    ViewData["Title"] = "Osobe";
}

<h2>Osobe</h2>

<hr />
<p>
    <a style="margin-bottom:20px" class="btn btn-success btn" asp-action="Create" title="Dodaj osobu"><span class="glyphicon glyphicon-plus"></span>Dodaj osobu</a>
</p>
<br />


@using (Html.BeginForm("Index", "Osoba", FormMethod.Get))
{
    <p align="right">
        Ime: @Html.TextBox("ime", ViewBag.CurrentIme as string)
    </p>

    <p align="right">
        Prezime: @Html.TextBox("prezime", ViewBag.CurrentPrezime as string)
    </p>


    <p align="right">
        OIB: @Html.TextBox("oib", ViewBag.CurrentOib as string)
    </p>

        <p align="right">
            <input type="submit" value="Search" />
        </p>
}

@if (ViewData["Error"] != null)
{
    <div class="red">
        <p><strong>Error:</strong> @ViewData["Error"].ToString()</p>
    </div>
}
@if (TempData["Success"] != null)
{
    <div class="green">
        <p><strong>Success:</strong> @TempData["Success"].ToString()</p>
    </div>
}



<hr />

<br>



<table class="table table-striped" >
    <thead>
        <tr>
            <th>
                @Html.ActionLink("Ime", "Index", new { sortOrder = ViewBag.imeSortParam, currentIme = ViewBag.CurrentIme, currentPrezime = ViewBag.CurrentPrezime, currentOib = ViewBag.CurrentOib })
            </th>
            <th>
                @Html.ActionLink("Prezime", "Index", new { sortOrder = ViewBag.prezimeSortParam, currentIme = ViewBag.CurrentIme, currentPrezime = ViewBag.CurrentPrezime, currentOib = ViewBag.CurrentOib })
            </th>
            <th>
                @Html.ActionLink("OIB", "Index", new { sortOrder = ViewBag.oibSortParam, currentIme = ViewBag.CurrentIme, currentPrezime = ViewBag.CurrentPrezime, currentOib = ViewBag.CurrentOib })
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.osobe)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Ime)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Prezime)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Oib)
                </td>
                <td>
                    <div class="btn-group">
                        <button class="btn btn-default">
                            <a asp-action="Edit" asp-route-id="@item.Idosobe" asp-route-page="@ViewBag.Page" asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentIme="@ViewBag.CurrentIme" asp-route-currentPrezime="@ViewBag.CurrentPrezime" asp-route-currentOib="@ViewBag.CurrentOib">
                                <span class="glyphicon glyphicon-pencil"></span>
                            </a>
                        </button>
                        <button class="btn btn-default">
                            <a asp-action="Details" asp-route-id="@item.Idosobe" asp-route-page="@ViewBag.Page" asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentIme="@ViewBag.CurrentIme" asp-route-currentPrezime="@ViewBag.CurrentPrezime" asp-route-currentOib="@ViewBag.CurrentOib">
                                <span class="glyphicon glyphicon-zoom-in"></span>
                            </a>
                        </button>
                        <button class="btn btn-default">
                            <a asp-action="Delete" asp-route-id="@item.Idosobe" asp-route-page="@ViewBag.Page" asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentIme="@ViewBag.CurrentIme" asp-route-currentPrezime="@ViewBag.CurrentPrezime" asp-route-currentOib="@ViewBag.CurrentOib" onclick="return confirm('Are you sure you want to delete the record with id = @item.Idosobe')">
                                <span class="glyphicon glyphicon-trash"></span>
                            </a>
                        </button>
                    </div>
                </td>
            </tr>
        }
    </tbody>
</table>

@section styles {
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.13/css/jquery.dataTables.min.css" />
}

@section scripts {
    <script src="https://cdn.datatables.net/1.10.13/js/jquery.dataTables.min.js"></script>

}


@if (ViewBag.Page > 0)
{
    <a href="@Url.Action("Index", new { page = ViewBag.Page - 1,sortOrder = ViewBag.CurrentSort, currentIme = ViewBag.CurrentIme, currentPrezime = ViewBag.CurrentPrezime, currentOib = ViewBag.CurrentOib})"
       class="btn btn-default">
        &laquo; Prev
    </a>
}
@if (ViewBag.Page < ViewBag.MaxPage)
{
    <a href="@Url.Action("Index", new { page = ViewBag.Page + 1,sortOrder = ViewBag.CurrentSort, currentIme = ViewBag.CurrentIme, currentPrezime = ViewBag.CurrentPrezime, currentOib = ViewBag.CurrentOib })"
       class="btn btn-default">
        Next &raquo;
    </a>
}
<hr />
@for (int i = 0; i <= ViewBag.MaxPage; i++)
{
    int j = i + 1;

    @if (ViewBag.Page == @i)
    {
        <ul class="pagination">
            <li>@Html.ActionLink(@j.ToString(), "Index", "Osoba", new { page = @i, sortOrder = ViewBag.CurrentSort, currentIme = ViewBag.CurrentIme, currentPrezime = ViewBag.CurrentPrezime, currentOib = ViewBag.CurrentOib }, new { @style = "color:green;font-weight:bold;" })</li>
        </ul>
    }

    @if (ViewBag.Page != @i)
    {
        <ul class="pagination">
            <li>@Html.ActionLink(@j.ToString(), "Index", "Osoba", new { page = @i, sortOrder = ViewBag.CurrentSort, currentIme = ViewBag.CurrentIme, currentPrezime = ViewBag.CurrentPrezime, currentOib = ViewBag.CurrentOib }, null)</li>
        </ul>
    }

}
